Eclipse Draw2d 3.3

## org.eclipse.draw2d.text
Class PageFlowLayout

    java.lang.Object
      org.eclipse.draw2d.text.FlowFigureLayout
          org.eclipse.draw2d.text.FlowContainerLayout
              org.eclipse.draw2d.text.BlockFlowLayout
                  org.eclipse.draw2d.text.PageFlowLayout

All Implemented Interfaces:
  LayoutManager, FlowContext

    public class PageFlowLayout

extends BlockFlowLayout

A block layout which requires no FlowContext to perform its layout. This class is used by `FlowPage`.

WARNING: This class is not intended to be subclassed by clients.

Constructor Summary
`PageFlowLayout(FlowPage page)` Creates a new PageFlowLayout with the given FlowPage

Method Summary

Methods inherited from class org.eclipse.draw2d.text.BlockFlowLayout
`addCurrentLine, addLine, blockContentsChanged, cleanup, createNewLine, endBlock, endLine, flush, getBlockFlow, getContinueOnSameLine, getWidthLookahead, preLayout, setContinueOnSameLine, setupBlock`

Methods inherited from class org.eclipse.draw2d.text.FlowContainerLayout
`addToCurrentLine, getRemainingLineWidth, isCurrentLineOccupied, layout, layoutChildren`

Methods inherited from class org.eclipse.draw2d.text.FlowFigureLayout
`getConstraint, getContext, getFlowFigure, getMinimumSize, getPreferredSize, invalidate, layout, remove, setConstraint, setFlowContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageFlowLayout

    public PageFlowLayout(FlowPage page)

  Creates a new PageFlowLayout with the given FlowPage

  Parameters:
    `page` - the FlowPage

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.